mode(1)
//
// Demo of guimaker.sci
//

// Example from http://wiki.scilab.org/howto/guicontrol
page=list();
page($+1)=list(list([1 10],'frame','General properties'));
page($+1)=list(list('text','Particle diameter [nm]'),list('edit','1000'));
page($+1)=list(list('text','Particle density [g/cm3]'),list('edit','1'));
page($+1)=list(list('text','Gas viscosity (0C) u [N*sec/m2]'),list('edit','0.0000172'));
page($+1)=list(list('text','Gas density (0C), 1 atm [kg/m3]'),list('edit','1.29'));
page($+1)=list(list('text','Mean free path (0C), 1 atm [nm]'),list('edit','67'));
page($+1)=list(list('text','Gamma, Cv/Cp'),list('edit','1.4'));
page($+1)=list(list('text','Sutherlands temperature, [K]'),list('edit','110.4'));
page($+1)=list(list('text','Temperature, [K]'),list('edit','300'));
page($+1)=list(list('text','Volume flow rate [standard l/min]'),list('edit','0.5'));
page($+1)=list(list([1 4],'frame','Telescope properties'));
page($+1)=list(list('text','Orifice diameters [mm]'),list('edit','1,1,1,1,1'));
page($+1)=list(list('text','Tube diameters [mm]'),list('edit','100,100,100,100,100'));
page($+1)=list(list('text','Input diameters [mm]'),list('edit','201325'));
page($+1)=list(list(2),list('pushbutton','Stop','callback','OK=%t'),list(2));
[dp,rhop,mu0,rhog0,lambda0,CvCp,S,T,mdot,df,ds,pin]=guimaker(page,list('Aerodynamic Lens Design'))
halt()   // Press return to continue
 
// Another example from http://wiki.scilab.org/howto/guicontrol
pg=list();
pg($+1)=list(list('text','exposure time','Horizontalalignment','center'));
pg($+1)=list(list('slider','','Min',0,'Max',100,'Value',5));
pg($+1)=list(list('text','arevscale','Horizontalalignment','center'));
pg($+1)=list(list('slider','','Min',0,'Max',100,'Value',50));
pg($+1)=list(list([1 2],'pushbutton','STOP','callback','OK=%t'),list(2,'radiobutton','bin x2'));
pg($+1)=list(list(1),list(2,'radiobutton','free/trig'));
[hexp,hbri,hbin,htrig]=guimaker(pg,list('objfigure1',220,[],10,[]))
halt()   // Press return to continue
 
// If Flag is set to a valid file name the results are stored in TMPDIR/Flag...
[output]=guimaker(pg,list('Change some values and press STOP',220,[],10,[]),[],'tmp_file')
halt()   // Press return to continue
 
// ... and subsequent calls will read the initial values from TMPDIR/Flag.
[output]=guimaker(pg,list('...remembers previous values.',220,[],10,[]),[],'tmp_file')
halt()   // Press return to continue
 
// Source code generation:
source_code = guimaker(pg,list('objfigure1',220,[],10,[]),[],1) // The code may be used as a template.
halt()   // Press return to continue
 
// Create gui and return a list of handles to objects in the gui:
h=guimaker(pg,list('objfigure1',220,[],10,[]),[],2)  // returns a vector of object handles
// The object handles may be used in an external event control loop.
//
// -----------------------------------------
// See the guimaker demos for more examples.
// -----------------------------------------
halt()   // Press return to continue
 
//========= E N D === O F === D E M O =========//
